Bug 1213629 - Python 3 support for gdal
Summary: Python 3 support for gdal
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdal
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-04-21 00:18 UTC by Elliott Sales de Andrade
Modified: 2016-03-07 18:02 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-07 18:02:56 UTC


Attachments (Terms of Use)
Add Python 3 support (3.23 KB, patch)
2015-04-21 03:27 UTC, Elliott Sales de Andrade
no flags Details | Diff
Add Python 3 support (3.86 KB, patch)
2015-11-15 02:20 UTC, Elliott Sales de Andrade
no flags Details | Diff
Python 3 support (2.38 KB, patch)
2016-02-15 20:04 UTC, Julien Enselme
no flags Details | Diff
Python 3 support (3.70 KB, patch)
2016-02-17 00:49 UTC, Elliott Sales de Andrade
no flags Details | Diff
Python 3 support (3.94 KB, patch)
2016-02-19 02:21 UTC, Elliott Sales de Andrade
no flags Details | Diff

Description Elliott Sales de Andrade 2015-04-21 00:18:37 UTC
gdal-python is only built for Python 2. There's a note that Python 3 should be supported since 1.7, which depending on versions was 4-5 years ago.

Please add support for Python 3, which is aimed to be the default soon(ish).

Version-Release number of selected component (if applicable):
gdal-1.11.2-1.fc21.x86_64
gdal-python-1.11.2-1.fc21.x86_64

Comment 1 Elliott Sales de Andrade 2015-04-21 03:27:34 UTC
Created attachment 1016671 [details]
Add Python 3 support

Here is a patch that seems to work for Fedora at least:

https://github.com/QuLogic/rpmbuild-specs/commit/7d3af0906f07aa6fe6cb873a45ed14952cc6b526

Build: https://copr.fedoraproject.org/coprs/qulogic/SciTools/build/87243/

Comment 2 Julien Enselme 2015-07-21 18:05:28 UTC
Any progress? From the patch proposed by Elliott I was able to launch a build on copr today: https://copr.fedoraproject.org/coprs/jujens/gdal/build/105098/

It fails to build on rawhide and on ppc64le (all versions). I am afraid that I won't be of much help to find out why.

My SRPM is here: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/gdal-1.11.2-5.fc22.src.rpm if you are interested.

Comment 3 Volker Fröhlich 2015-07-22 06:00:11 UTC
I started working on it, but it takes quite a bit more work.

Comment 4 Elliott Sales de Andrade 2015-09-10 03:04:45 UTC
Any updates?

The patch appears to work on Fedora 23+Rawhide when using the updated 2.0.0 package:
https://copr.fedoraproject.org/coprs/qulogic/SciTools/package/gdal/

(The failure is just ppc64le.)

Comment 5 Julien Enselme 2015-09-26 19:57:44 UTC
Hi,

Any progress on python3 support with gdal 1 or 2?

Comment 6 Fedora End Of Life 2015-11-04 10:25:32 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Elliott Sales de Andrade 2015-11-15 02:20:04 UTC
Created attachment 1094296 [details]
Add Python 3 support

You were correct; there was a problem with the dependencies for the Python 3 package where it also depended on the Python 2 interpreter. It was caused by the sample scripts in the documentation portion of the subpackage. I have uploaded a new patch that corrects the shebang on the samples for both the Python 2 and Python 3 subpackages.

Comment 8 Julien Enselme 2016-02-15 20:03:33 UTC
Can you please add support for python or tell me what I can do to help? I have been using gdal with python3 from patches from this bugs for months without any problems.

Anyway, here is an updated patch for gdal 2.0.2.

Comment 9 Julien Enselme 2016-02-15 20:04:05 UTC
Created attachment 1127422 [details]
Python 3 support

Comment 10 Elliott Sales de Andrade 2016-02-17 00:49:40 UTC
Created attachment 1127769 [details]
Python 3 support

The patch you attached is based on the old patch; it does not contain the corrections for dependencies. Attached is a patch with the correct dependencies.

Comment 11 Elliott Sales de Andrade 2016-02-19 02:21:22 UTC
Created attachment 1128375 [details]
Python 3 support

Fix the typo on NumPy requires.

Comment 12 Jozef Mlich 2016-02-21 09:57:32 UTC
Patch looks fine from my point of view. I don't see any issue that should be fixed before commit. I have pushed it into rawhide.

Comment 13 Jan Kurik 2016-02-24 13:23:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 14 Julien Enselme 2016-03-07 18:02:56 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.